spandsp 0.0.6

ademco_contactid_sender_state_s Struct Reference

## Public Attributes
tone_report_func_t | callback
void * | callback_user_data
int | step
int | remaining_samples
dtmf_tx_state_t | dtmf
float | threshold
float | energy
goertzel_state_t | tone_1400
goertzel_state_t | tone_2300
int | current_sample
char | tx_digits [16+1]
| A buffer to save the sent message, in case we need to retry.
int | tx_digits_len
int | tries
| The number of consecutive retries.
int | tone_state
int | duration
int | last_hit
int | in_tone
int | clear_to_send
int | timer
int | busy
logging_state_t | logging
| Error and flow logging control.

## Member Data Documentation

## ◆ current_sample

int ademco_contactid_sender_state_s::current_sample

The current sample number within a processing block.

## ◆ energy

float ademco_contactid_sender_state_s::energy

The accumlating total energy on the same period over which the Goertzels work.

## ◆ threshold

float ademco_contactid_sender_state_s::threshold

Minimum acceptable tone level for detection.

The documentation for this struct was generated from the following file:

- private/ademco_contactid.h